API docs

Get spine width before creating order

GET
/offering/spine

Calculate the required spine width for a product or offering before placing an order.

Query Parameters

merchantApiKey*string
offeringId*string

Id of the offering in your account

countryCodeIso2*string

ISO 2 code of the country where the product will be shipped

state?string

State where the order will be shipped. Optional

numberOfPages*string

Response Body

application/json

application/json

curl -X GET "https://example.com/offering/spine?merchantApiKey=ABCD1234XXXX&offeringId=179270&countryCodeIso2=US&state=NY&numberOfPages=45"
{  "spineWidth": 23}